Skip to main content
POST
/
v1
/
ingest
Ingest events
curl --request POST \
  --url https://api.metronome.com/v1/ingest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "transaction_id": "2021-01-01T00:00:00Z_cluster42",
    "customer_id": "team@example.com",
    "event_type": "heartbeat",
    "timestamp": "2021-01-01T00:00:00Z",
    "properties": {
      "cluster_id": "42",
      "cpu_seconds": 60,
      "region": "Europe"
    }
  }
]
'
import requests

url = "https://api.metronome.com/v1/ingest"

payload = [
{
"transaction_id": "2021-01-01T00:00:00Z_cluster42",
"customer_id": "team@example.com",
"event_type": "heartbeat",
"timestamp": "2021-01-01T00:00:00Z",
"properties": {
"cluster_id": "42",
"cpu_seconds": 60,
"region": "Europe"
}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
transaction_id: '2021-01-01T00:00:00Z_cluster42',
customer_id: 'team@example.com',
event_type: 'heartbeat',
timestamp: '2021-01-01T00:00:00Z',
properties: {cluster_id: '42', cpu_seconds: 60, region: 'Europe'}
}
])
};

fetch('https://api.metronome.com/v1/ingest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Required array length: 1 - 100 elements
transaction_id
string
required
Required string length: 1 - 128
customer_id
string
required
Minimum string length: 1
event_type
string
required
Minimum string length: 1
timestamp
string
required

RFC 3339 formatted

properties
object

Response

200

Success